Help running a commercial VB6 application (accounting software)

Questions about Wine on Linux
Post Reply
olliraa
Newbie
Newbie
Posts: 2
Joined: Fri Jan 03, 2020 1:08 pm

Help running a commercial VB6 application (accounting software)

Post by olliraa » Fri Jan 03, 2020 1:29 pm

Hi.

Running latest Mint 32-bit and Wine 4.0.3. Trying to run a accounting software, which I guess is made with VB6. The app is still sold and works really well, but apparently the codebase being so old has problems even with the latest version of Wine.

The author of the software says that the app has been proven to run on Wine already years ago by doing something like this:

Code: Select all

1. Install:

http://download.microsoft.com/download/d/1/3/d13cd456-f0cf-4fb2-a17f-20afc79f8a51/DCOM98.EXE

2. # wine DCOM98.EXE

3. # wine wlrkdemo.exe

4. # cd .wine/drive_c/wkpdemo
# WINEDLLOVERRIDES="ole32,oleaut32,rpcrt4=n" wine wlrkdemo.exe 
Unfortunately it does not help, I always get this weird error: "Object doesn't support this property or method (error 438)"

Could someone with the required amount of expertise try to install an run the free demo version, because I really cannot get this to work for some reason. It's only a few megs:

http://www.atsoft.fi/demo/demowk.exe

Any help highly appreciated :)

User avatar
dimesio
Moderator
Moderator
Posts: 12743
Joined: Tue Mar 25, 2008 10:30 pm

Re: Help running a commercial VB6 application (accounting software)

Post by dimesio » Sat Jan 04, 2020 12:33 am

Wine hasn't worked with native dcom98 since before version 1.2, which was 9 years ago. If the app truly requires that, it will not work in Wine.

What I get from running demowk.exe is that it fails trying to download https://portal.safesend.com/SignatureFl ... pplication. You can download that file directly in any browser and try to run it following these instructions: https://wiki.winehq.org/FAQ#How_do_I_in ... 29_file.3F.

Note that .application files require .NET, and you will need to install the exact version it requires, which seems to be 4.6.1 based on a popup error message I got. I didn't have time to try it; I'll leave that to you. However, I have to say that a requirement for .NET 4.6.1 doesn't fit with needing dcom98--they are from different eras.

olliraa
Newbie
Newbie
Posts: 2
Joined: Fri Jan 03, 2020 1:08 pm

Re: Help running a commercial VB6 application (accounting software)

Post by olliraa » Sat Jan 04, 2020 1:14 pm

Thank you so much for your effort with this problem :) I'll try the stuff you mentioned!

Cheers.

Post Reply